This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1485349 - (CVE-2017-13695) CVE-2017-13695 kernel: ACPI operand cache leak in nseval.c
CVE-2017-13695 kernel: ACPI operand cache leak in nseval.c
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170719,repor...
: Security
Depends On: 1485355 1489283 1485356
Blocks: 1485354
  Show dependency treegraph
 
Reported: 2017-08-25 09:00 EDT by Adam Mariš
Modified: 2017-09-15 07:58 EDT (History)
51 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel's ACPI subsystem where a function does not flush the operand cache and causes a kernel stack dump. This allows local users to obtain sensitive information from kernel memory and bypass the KASLR protection mechanism when using a specially crafted ACPI table.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-15 07:58:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-08-25 09:00:04 EDT
The acpi_ns_evaluate() function in drivers/acpi/acpica/nseval.c in the
Linux kernel through 4.12.9 does not flush the operand cache and causes
a kernel stack dump, which allows local users to obtain sensitive
information from kernel memory and bypass the KASLR protection
mechanism (in the kernel through 4.9) via a crafted ACPI table.

Upstream fix:

https://github.com/acpica/acpica/pull/296/commits/37f2c716f2c6ab14c3ba557a539c3ee3224931b5
https://patchwork.kernel.org/patch/9850567/
Comment 1 Adam Mariš 2017-08-25 09:06:38 EDT
Created acpica-tools tracking bugs for this issue:

Affects: fedora-all [bug 1485355]


Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1485356]
Comment 3 Wade Mealing 2017-09-07 22:53:33 EDT
Statement:

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/

The Red Hat Security Response Team has rated this issue as having moderate security impact.

The risks associated with fixing this bug are greater than the moderate
severity security risk. We therefore currently have no plans to fix this flaw
in Red Hat Enterprise Linux 5,6,7 and Red Hat Enterprise MRG.

Note You need to log in before you can comment on or make changes to this bug.